From 6ce8f5c827845aee23831b0128319b5dbb8a4fd5 Mon Sep 17 00:00:00 2001
From: David Christensen <david.christensen@crunchydata.com>
Date: Fri, 14 Oct 2022 16:31:30 -0500
Subject: [PATCH] fix: comment typos for delayChkptFlags

---
 src/include/storage/proc.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/include/storage/proc.h b/src/include/storage/proc.h
index ed874459b3..5e5a2cf468 100644
--- a/src/include/storage/proc.h
+++ b/src/include/storage/proc.h
@@ -91,7 +91,7 @@ struct XidCache
 #define INVALID_PGPROCNO		PG_INT32_MAX
 
 /*
- * Flags for PGPROC.delayChkpt
+ * Flags for PGPROC.delayChkptFlags
  *
  * These flags can be used to delay the start or completion of a checkpoint
  * for short periods. A flag is in effect if the corresponding bit is set in
@@ -118,7 +118,7 @@ struct XidCache
  * to phase 3. This is useful if we are performing a WAL-logged operation that
  * might invalidate buffers, such as relation truncation. In this case, we need
  * to ensure that any buffers which were invalidated and thus not flushed by
- * the checkpoint are actaully destroyed on disk. Replay can cope with a file
+ * the checkpoint are actually destroyed on disk. Replay can cope with a file
  * or block that doesn't exist, but not with a block that has the wrong
  * contents.
  */
-- 
2.37.0 (Apple Git-136)

